> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses customers



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/customers
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers:
    get:
      tags:
        - Customers
      parameters:
        - name: Email
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfSBCustomerResponse
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfSBCustomerResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DTOSBCustomerResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    DTOSBCustomerResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        phoneNumber:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        currency:
          type: string
          nullable: true
        acceptsMarketing:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    DTOBillingAddress:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````